@echo off
rem GSreview.bat
rem
rem Reloads a file into the current instance of GSview
rem and brings the window to the foreground. 
rem
rem Usage:
rem        GSreview file.ps
rem
rem where file.ps is a file to view with GSview.
rem
rem Note: requires GSview v2.7.  You will also need to 
rem substitute your own path for gsview32.exe, below.

if "%1"=="" goto usage

C:\gstools\gsview\gsview32.exe /e %1
WinActiv "%1 - GSview"
rem Could check for error here, but why bother?
goto end

:usage
echo GSreview.bat
echo.
echo Reloads a file into the current instance of GSview
echo and brings the window to the foreground. 
echo.
echo Usage:
echo        GSreview file.ps
echo.
echo where file.ps is a file to view with GSview.
echo.
echo Note: requires GSview v2.7.

:end
